Bug 967694 - jobqueue.pl stalls
jobqueue.pl stalls
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Performance (Show other bugs)
4.4
x86_64 Linux
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 00:46 EDT by Mark Keir
Modified: 2014-10-12 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 20:24:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Keir 2013-05-28 00:46:03 EDT
Description of problem:

When the "bugzilla-queue" service runs, the jobqueue.pl process stalls sometimes and does not recover.  Email notifications then backlog unless the service is constantly restarted.

Version-Release number of selected component (if applicable):


How reproducible:

"service bugzilla-queue start"

Steps to Reproduce:
1.  Start service
2.  Watch /var/log/messages for emails being sent and observe if an email takes a long time to be processed (>1 min), assuming a backlog of queued messages.
3.  Watch top to see jobqueue.pl memory use go from 250Mb virtual memory and 5% CPU to 600Mb (up to 1.3Gb) virtual memory and 100% CPU consumption
4. restart the service to see it happen again 

Actual results:

jobqueue.pl process spins at 100% and sendmail connection being written to does not complete and exit with the service stalling.

Expected results:

When well behaved, the jobqueue.pl process consumes a modest amount of RAM and CPU, processing each email batch within a second or so.

Additional info:

Without constant attention can lead to >15K backlogged emails.
Comment 1 Simon Green 2013-05-29 20:24:44 EDT
I think Email::Send was choking on the very large (30MB+) e-mails. Changing this to use Sendmail, and not generating 30MB e-mails seems to have solved this problem.

Note You need to log in before you can comment on or make changes to this bug.